<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>Kubernetes对接外部Ceph集群 | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="静态挂载Ceph RBDk8s挂载Ceph  RBD有两种方式，一种是传统的PV&amp;PVC的方式，也就是说需要管理员先预先创建好相关PV和PVC，然后对应的deployment或者replication来挂载PVC使用。而在k8s  1.4以后，kubernetes提供了一种更加方便的动态创建PV的方式，即StorageClass。使用StorageClass时无需预先创建固定大小的PV来等">
<meta property="og:type" content="article">
<meta property="og:title" content="Kubernetes对接外部Ceph集群">
<meta property="og:url" content="http://example.com/2022/02/17/Kubernetes%E5%AF%B9%E6%8E%A5%E5%A4%96%E9%83%A8Ceph%E9%9B%86%E7%BE%A4/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="静态挂载Ceph RBDk8s挂载Ceph  RBD有两种方式，一种是传统的PV&amp;PVC的方式，也就是说需要管理员先预先创建好相关PV和PVC，然后对应的deployment或者replication来挂载PVC使用。而在k8s  1.4以后，kubernetes提供了一种更加方便的动态创建PV的方式，即StorageClass。使用StorageClass时无需预先创建固定大小的PV来等">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2022-02-17T02:18:00.000Z">
<meta property="article:modified_time" content="2022-02-17T02:18:55.322Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2022/02/17/Kubernetes%E5%AF%B9%E6%8E%A5%E5%A4%96%E9%83%A8Ceph%E9%9B%86%E7%BE%A4/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2022-02-17 10:18:55'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">Kubernetes对接外部Ceph集群</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2022-02-17T02:18:00.000Z" title="发表于 2022-02-17 10:18:00">2022-02-17</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2022-02-17T02:18:55.322Z" title="更新于 2022-02-17 10:18:55">2022-02-17</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/Kubernetes/">Kubernetes</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><h1 id="静态挂载Ceph-RBD"><a href="#静态挂载Ceph-RBD" class="headerlink" title="静态挂载Ceph RBD"></a>静态挂载Ceph RBD</h1><p>k8s挂载Ceph  RBD有两种方式，一种是传统的PV&amp;PVC的方式，也就是说需要管理员先预先创建好相关PV和PVC，然后对应的deployment或者replication来挂载PVC使用。而在k8s  1.4以后，kubernetes提供了一种更加方便的动态创建PV的方式，即StorageClass。使用StorageClass时无需预先创建固定大小的PV来等待使用者创建PVC使用，而是直接创建PVC即可使用。</p>
<h2 id="创建ceph存储池及块存储image"><a href="#创建ceph存储池及块存储image" class="headerlink" title="创建ceph存储池及块存储image"></a>创建ceph存储池及块存储image</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># ceph osd pool create data 64 64</span></span><br><span class="line">pool <span class="string">&#x27;data&#x27;</span> created</span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># ceph osd lspools</span></span><br><span class="line">1 data,</span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># rbd create data/data --size 4096 --image-feature layering</span></span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># rbd -p data ls</span></span><br><span class="line">data</span><br></pre></td></tr></table></figure>
<h2 id="创建ceph密钥"><a href="#创建ceph密钥" class="headerlink" title="创建ceph密钥"></a>创建ceph密钥</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># ceph auth get-key client.admin | base64 &gt; ceph.key</span></span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># ls</span></span><br><span class="line">ceph.key</span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># cat ceph.key </span></span><br><span class="line">QVFBVFVRdGlSclF6Q1JBQTlpTlFmQ3RvN1dubm5IQ1RmSlMyRHc9PQ==</span><br><span class="line"></span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># vi ceph-secret.yaml</span></span><br><span class="line">apiVersion: v1</span><br><span class="line">kind: Secret</span><br><span class="line">metadata:</span><br><span class="line">  name: ceph-secret</span><br><span class="line">data:</span><br><span class="line"><span class="comment">#Please note this value is base64 encoded.</span></span><br><span class="line"><span class="comment"># echo &quot;keystring&quot;|base64</span></span><br><span class="line">  key: QVFBVFVRdGlSclF6Q1JBQTlpTlFmQ3RvN1dubm5IQ1RmSlMyRHc9PQ==	<span class="comment"># ceph生成的密钥</span></span><br></pre></td></tr></table></figure>
<h2 id="部署PV"><a href="#部署PV" class="headerlink" title="部署PV"></a>部署PV</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br><span class="line">33</span><br><span class="line">34</span><br><span class="line">35</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># cat ceph-pv.yaml </span></span><br><span class="line">apiVersion: v1</span><br><span class="line">kind: PersistentVolume</span><br><span class="line">metadata:</span><br><span class="line">  name: local-ceph-pv</span><br><span class="line">spec:</span><br><span class="line">  capacity:</span><br><span class="line">    storage: 2Gi</span><br><span class="line">  accessModes:</span><br><span class="line">    - ReadWriteOnce</span><br><span class="line"></span><br><span class="line">  rbd:</span><br><span class="line">    <span class="comment">#ceph的monitor节点</span></span><br><span class="line">    monitors:       </span><br><span class="line">      - 172.16.1.11:6789</span><br><span class="line">      - 172.16.1.12:6789</span><br><span class="line">      - 172.16.1.13:6789</span><br><span class="line"></span><br><span class="line">    <span class="comment">#ceph的存储池名字</span></span><br><span class="line">    pool: data </span><br><span class="line"></span><br><span class="line">    <span class="comment">#在存储池里创建的image的名字</span></span><br><span class="line">    image: data         </span><br><span class="line"></span><br><span class="line">    user: admin</span><br><span class="line">    secretRef:</span><br><span class="line">      name: ceph-secret</span><br><span class="line">    fsType: xfs</span><br><span class="line">    readOnly: <span class="literal">false</span></span><br><span class="line">  persistentVolumeReclaimPolicy: Retain</span><br><span class="line">  </span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># kubectl get pv local-ceph-pv</span></span><br><span class="line">NAME            CAPACITY   ACCESS MODES   RECLAIM POLICY   STATUS   CLAIM                    STORAGECLASS   REASON   AGE</span><br><span class="line">local-ceph-pv   2Gi        RWO            Retain           Bound    default/local-ceph-pvc                           14m</span><br><span class="line"></span><br></pre></td></tr></table></figure>
<h2 id="部署PVC"><a href="#部署PVC" class="headerlink" title="部署PVC"></a>部署PVC</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># cat ceph-pvc.yaml </span></span><br><span class="line">kind: PersistentVolumeClaim</span><br><span class="line">apiVersion: v1</span><br><span class="line">metadata:</span><br><span class="line">  name: local-ceph-pvc</span><br><span class="line">spec:</span><br><span class="line">  accessModes:</span><br><span class="line">    - ReadWriteOnce</span><br><span class="line">  resources:</span><br><span class="line">    requests:</span><br><span class="line">      storage: 2Gi</span><br><span class="line"></span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># kubectl get pvc local-ceph-pvc</span></span><br><span class="line">NAME             STATUS   VOLUME          CAPACITY   ACCESS MODES   STORAGECLASS   AGE</span><br><span class="line">local-ceph-pvc   Bound    local-ceph-pv   2Gi        RWO                           13m</span><br></pre></td></tr></table></figure>
<h2 id="部署Pod"><a href="#部署Pod" class="headerlink" title="部署Pod"></a>部署Pod</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br><span class="line">33</span><br><span class="line">34</span><br><span class="line">35</span><br><span class="line">36</span><br><span class="line">37</span><br><span class="line">38</span><br><span class="line">39</span><br><span class="line">40</span><br><span class="line">41</span><br><span class="line">42</span><br><span class="line">43</span><br><span class="line">44</span><br><span class="line">45</span><br><span class="line">46</span><br><span class="line">47</span><br><span class="line">48</span><br><span class="line">49</span><br><span class="line">50</span><br><span class="line">51</span><br><span class="line">52</span><br><span class="line">53</span><br><span class="line">54</span><br><span class="line">55</span><br><span class="line">56</span><br><span class="line">57</span><br><span class="line">58</span><br><span class="line">59</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># cat cephdemo-deploy.yaml </span></span><br><span class="line">apiVersion: apps/v1</span><br><span class="line">kind: Deployment</span><br><span class="line">metadata:</span><br><span class="line">  labels:</span><br><span class="line">    app: cephdemo</span><br><span class="line">  name: cephdemo</span><br><span class="line">spec:</span><br><span class="line">  replicas: 1</span><br><span class="line">  selector:</span><br><span class="line">    matchLabels:</span><br><span class="line">      app: cephdemo</span><br><span class="line">  template:</span><br><span class="line">    metadata:</span><br><span class="line">      creationTimestamp: null</span><br><span class="line">      labels:</span><br><span class="line">        app: cephdemo</span><br><span class="line">    spec:</span><br><span class="line">      containers:</span><br><span class="line">      - image: nginx</span><br><span class="line">        name: nginx</span><br><span class="line">        volumeMounts:</span><br><span class="line">          - mountPath: <span class="string">&quot;/data&quot;</span></span><br><span class="line">            name: data</span><br><span class="line">      volumes:</span><br><span class="line">        - name: data</span><br><span class="line">          persistentVolumeClaim:</span><br><span class="line">            claimName: local-ceph-pvc</span><br><span class="line">            </span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># kubectl get pod</span></span><br><span class="line">NAME                        READY   STATUS    RESTARTS   AGE</span><br><span class="line">cephdemo-5855f5df97-kkshv   1/1     Running   0          78s</span><br><span class="line">---</span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># kubectl exec -it cephdemo-5855f5df97-kkshv -- sh</span></span><br><span class="line"></span><br><span class="line"><span class="comment"># 创建文件测试删除Pod数据是否会丢失</span></span><br><span class="line"><span class="comment"># cd /data</span></span><br><span class="line"><span class="comment"># pwd</span></span><br><span class="line">/data</span><br><span class="line"><span class="comment"># mkdir zux</span></span><br><span class="line"><span class="comment"># echo &quot;zux demo&quot; &gt; zux/demo.td</span></span><br><span class="line"><span class="comment"># ls</span></span><br><span class="line">zux</span><br><span class="line"><span class="comment"># exit</span></span><br><span class="line">---</span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># kubectl delete -f cephdemo-deploy.yaml </span></span><br><span class="line">deployment.apps <span class="string">&quot;cephdemo&quot;</span> deleted</span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># kubectl get pod</span></span><br><span class="line">NAME                        READY   STATUS        RESTARTS   AGE</span><br><span class="line">cephdemo-5855f5df97-kkshv   0/1     Terminating   0          7m51s</span><br><span class="line">---</span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># kubectl apply -f cephdemo-deploy.yaml </span></span><br><span class="line">deployment.apps/cephdemo created</span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># kubectl get pod </span></span><br><span class="line">NAME                        READY   STATUS    RESTARTS   AGE</span><br><span class="line">cephdemo-5855f5df97-8msg6   1/1     Running   0          15s</span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># kubectl exec -it cephdemo-5855f5df97-8msg6 -- cat /data/zux/demo.td</span></span><br><span class="line">zux demo</span><br><span class="line"><span class="comment"># 成功看到以前的数据，说明Ceph持久化存储生效</span></span><br></pre></td></tr></table></figure>
<h1 id="动态挂载Ceph-RBD"><a href="#动态挂载Ceph-RBD" class="headerlink" title="动态挂载Ceph RBD"></a>动态挂载Ceph RBD</h1><h2 id="创建Ceph-key"><a href="#创建Ceph-key" class="headerlink" title="创建Ceph key"></a>创建Ceph key</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># vi ceph-secret.yaml</span></span><br><span class="line">apiVersion: v1</span><br><span class="line">kind: Secret</span><br><span class="line">metadata:</span><br><span class="line">  name: ceph-admin-secret</span><br><span class="line">data:</span><br><span class="line">  key: QVFBVFVRdGlSclF6Q1JBQTlpTlFmQ3RvN1dubm5IQ1RmSlMyRHc9PQ==</span><br><span class="line">  </span><br><span class="line">[root@v86a5soqgn7i23h ceph]<span class="comment"># kubectl apply -f ceph-secret.yaml</span></span><br></pre></td></tr></table></figure>
<h2 id="创建storageClass"><a href="#创建storageClass" class="headerlink" title="创建storageClass"></a>创建storageClass</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h newstorage]<span class="comment"># vi ceph-storageclass.yaml </span></span><br><span class="line">apiVersion: storage.k8s.io/v1</span><br><span class="line">kind: StorageClass</span><br><span class="line">metadata:</span><br><span class="line">   name: ceph</span><br><span class="line">provisioner: ceph.com/rbd</span><br><span class="line">parameters:</span><br><span class="line">  monitors: 172.16.1.11:6789	<span class="comment"># ceph mon 节点</span></span><br><span class="line">  adminId: admin</span><br><span class="line">  adminSecretName: ceph-admin-secret	<span class="comment"># 上面创建secret的名称</span></span><br><span class="line">  adminSecretNamespace: default</span><br><span class="line">  pool: data	<span class="comment"># rbd存储池</span></span><br><span class="line">  userId: admin</span><br><span class="line">  userSecretName: ceph-admin-secret</span><br><span class="line">  imageFeatures: layering</span><br><span class="line">  imageFormat: <span class="string">&quot;2&quot;</span></span><br><span class="line">[root@v86a5soqgn7i23h newstorage]<span class="comment"># kubectl apply -f ceph-storageclass.yaml</span></span><br></pre></td></tr></table></figure>
<h2 id="创建第三方Ceph-rbd-Pod"><a href="#创建第三方Ceph-rbd-Pod" class="headerlink" title="创建第三方Ceph rbd Pod"></a>创建第三方Ceph rbd Pod</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h data1]<span class="comment"># kubectl apply -f ceph-pvc-master/</span></span><br><span class="line">clusterrole.rbac.authorization.k8s.io/rbd-provisioner created</span><br><span class="line">clusterrolebinding.rbac.authorization.k8s.io/rbd-provisioner created</span><br><span class="line">deployment.extensions/rbd-provisioner created</span><br><span class="line">role.rbac.authorization.k8s.io/rbd-provisioner created</span><br><span class="line">rolebinding.rbac.authorization.k8s.io/rbd-provisioner created</span><br><span class="line">serviceaccount/rbd-provisioner created</span><br></pre></td></tr></table></figure>
<h2 id="创建PVC"><a href="#创建PVC" class="headerlink" title="创建PVC"></a>创建PVC</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h newstorage]<span class="comment"># vi ceph-storage-pvc.yaml </span></span><br><span class="line">kind: PersistentVolumeClaim</span><br><span class="line">apiVersion: v1</span><br><span class="line">metadata:</span><br><span class="line">  name: claim</span><br><span class="line">spec:</span><br><span class="line">  accessModes:</span><br><span class="line">    - ReadWriteOnce</span><br><span class="line">  storageClassName: ceph</span><br><span class="line">  resources:</span><br><span class="line">    requests:</span><br><span class="line">      storage: 1Gi</span><br><span class="line">[root@v86a5soqgn7i23h newstorage]<span class="comment"># kubectl apply -f ceph-storage-pvc.yaml </span></span><br></pre></td></tr></table></figure>
<h2 id="验证"><a href="#验证" class="headerlink" title="验证"></a>验证</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h newstorage]<span class="comment"># kubectl get pvc</span></span><br><span class="line">NAME             STATUS   VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS   AGE</span><br><span class="line">claim            Bound    pvc-6b450a20-6d95-4d73-b70e-7f902795b489   1Gi        RWO            ceph           10m</span><br><span class="line">[root@v86a5soqgn7i23h newstorage]<span class="comment"># kubectl get pv | grep claim</span></span><br><span class="line">pvc-6b450a20-6d95-4d73-b70e-7f902795b489   1Gi        RWO            Delete           Bound      default/claim                                   ceph                           11m</span><br></pre></td></tr></table></figure>
<p>查看ceph data存储池中的image</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h newstorage]<span class="comment"># ceph osd lspools</span></span><br><span class="line">1 data,</span><br><span class="line">[root@v86a5soqgn7i23h newstorage]<span class="comment"># rbd ls -p data</span></span><br><span class="line">data</span><br><span class="line">kubernetes-dynamic-pvc-34daf5fd-8ed0-11ec-bbb2-32d244ea0bdb</span><br></pre></td></tr></table></figure>
<p>发现pv ID无法和ceph image对应</p>
<blockquote>
<p>需要查看pv详细信息 获取pv对应的image即可和ceph image对应</p>
</blockquote>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br></pre></td><td class="code"><pre><span class="line">[root@v86a5soqgn7i23h newstorage]<span class="comment"># kubectl get pv pvc-ebbcb043-0f1c-45fa-b97c-9fe449ccc06f -o yaml | tail -n 15</span></span><br><span class="line">    uid: ebbcb043-0f1c-45fa-b97c-9fe449ccc06f</span><br><span class="line">  persistentVolumeReclaimPolicy: Delete</span><br><span class="line">  rbd:</span><br><span class="line">    image: kubernetes-dynamic-pvc-219719e0-8ed7-11ec-bbb2-32d244ea0bdb	<span class="comment"># 此image就是ceph image ID</span></span><br><span class="line">    keyring: /etc/ceph/keyring</span><br><span class="line">    monitors:</span><br><span class="line">    - 172.16.1.11:6789</span><br><span class="line">    pool: data</span><br><span class="line">    secretRef:</span><br><span class="line">      name: ceph-admin-secret</span><br><span class="line">    user: admin</span><br><span class="line">  storageClassName: ceph</span><br><span class="line">  volumeMode: Filesystem</span><br><span class="line">status:</span><br><span class="line">  phase: Bound</span><br><span class="line">  </span><br><span class="line">[root@v86a5soqgn7i23h newstorage]<span class="comment"># rbd ls -p data | grep kubernetes-dynamic-pvc-219719e0-8ed7-11ec-bbb2-32d244ea0bdb</span></span><br><span class="line">kubernetes-dynamic-pvc-219719e0-8ed7-11ec-bbb2-32d244ea0bdb</span><br><span class="line"></span><br><span class="line"><span class="comment"># 完美对应！</span></span><br></pre></td></tr></table></figure>
</article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2022/02/17/Kubernetes%E5%AF%B9%E6%8E%A5%E5%A4%96%E9%83%A8Ceph%E9%9B%86%E7%BE%A4/">http://example.com/2022/02/17/Kubernetes%E5%AF%B9%E6%8E%A5%E5%A4%96%E9%83%A8Ceph%E9%9B%86%E7%BE%A4/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2022/02/17/ReplicaSet/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">ReplicaSet</div></div></a></div><div class="next-post pull-right"><a href="/2022/02/17/%E5%88%9B%E5%BB%BAPod%E5%B7%A5%E4%BD%9C%E6%B5%81%E7%A8%8B/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">创建Pod工作流程</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-1"><a class="toc-link" href="#%E9%9D%99%E6%80%81%E6%8C%82%E8%BD%BDCeph-RBD"><span class="toc-number">1.</span> <span class="toc-text">静态挂载Ceph RBD</span></a><ol class="toc-child"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%9B%E5%BB%BAceph%E5%AD%98%E5%82%A8%E6%B1%A0%E5%8F%8A%E5%9D%97%E5%AD%98%E5%82%A8image"><span class="toc-number">1.1.</span> <span class="toc-text">创建ceph存储池及块存储image</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%9B%E5%BB%BAceph%E5%AF%86%E9%92%A5"><span class="toc-number">1.2.</span> <span class="toc-text">创建ceph密钥</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2PV"><span class="toc-number">1.3.</span> <span class="toc-text">部署PV</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2PVC"><span class="toc-number">1.4.</span> <span class="toc-text">部署PVC</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2Pod"><span class="toc-number">1.5.</span> <span class="toc-text">部署Pod</span></a></li></ol></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E5%8A%A8%E6%80%81%E6%8C%82%E8%BD%BDCeph-RBD"><span class="toc-number">2.</span> <span class="toc-text">动态挂载Ceph RBD</span></a><ol class="toc-child"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%9B%E5%BB%BACeph-key"><span class="toc-number">2.1.</span> <span class="toc-text">创建Ceph key</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%9B%E5%BB%BAstorageClass"><span class="toc-number">2.2.</span> <span class="toc-text">创建storageClass</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E7%AC%AC%E4%B8%89%E6%96%B9Ceph-rbd-Pod"><span class="toc-number">2.3.</span> <span class="toc-text">创建第三方Ceph rbd Pod</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%9B%E5%BB%BAPVC"><span class="toc-number">2.4.</span> <span class="toc-text">创建PVC</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%AA%8C%E8%AF%81"><span class="toc-number">2.5.</span> <span class="toc-text">验证</span></a></li></ol></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>